<div #index class="app-container" [class.app-is-mobile]="mobileQuery.matches">
    <mat-toolbar #toolbar class="app-toolbar">
      <button mat-icon-button (click)="drawer.toggle()"><mat-icon>menu</mat-icon></button>
      <h1 class="app-name">{{appname}}</h1>
    </mat-toolbar>
    
      <mat-drawer-container class="drawer-container" 
        [style.marginLeft.px]="drawer.opened ? -(divEl.clientWidth): 0" 
        [style.width.px]="drawer.opened ? (index.clientWidth + divEl.clientWidth) : index.clientWidth"
        [style.marginTop.px]="mobileQuery.matches ? 56 : 0" autosize>
        <div #divContent style="width: 100%;" 
          [style.Left.px]="drawer.opened ? -divEl.clientWidth : 0">
          <mat-drawer #drawer class="drawer-sidenav" [mode]="mobileQuery.matches ? 'over' : 'side'" [fixedInViewport]="mobileQuery.matches" fixedTopGap="56">
            <mat-nav-list style="width: 100%;">
              <div #divEl style="overflow: hidden;">
                <mat-tree [dataSource]="dataSource" [treeControl]="treeControl" class="app-tree">
                  <!-- This is the tree node template for leaf nodes -->
                  <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle>
                    <li class="mat-tree-node">
                      <mat-icon class="icon-tree">{{iconName(node.nom_Objeto)}}</mat-icon>
                      <a mat-list-item (click)="onNavigate(node.path_Virtual)" style="width: 100% !important;">{{node.nom_Opcion}}</a>
                    </li>
                  </mat-tree-node>
                  <!-- This is the tree node template for expandable nodes -->
                  <mat-nested-tree-node *matTreeNodeDef="let node; when: hasChild">
                    <li>
                      <div class="mat-tree-node" style="padding-right: 15px;">
                        <button mat-icon-button matTreeNodeToggle [attr.aria-label]="'toggle ' + node.nom_Opcion" (click)="pageSize(divEl, treeControl.isExpanded(node));">
                          <mat-icon class="mat-icon-rtl-mirror">
                            {{treeControl.isExpanded(node) ? 'expand_more' : 'chevron_right'}}
                          </mat-icon>
                        </button>
                        <mat-icon class="icon-tree">{{iconName(node.nom_Objeto)}}</mat-icon> {{node.nom_Opcion}}
                      </div>
                      <ul [class.app-tree-invisible]="!treeControl.isExpanded(node)">
                        <ng-container matTreeNodeOutlet></ng-container>
                      </ul>
                    </li>
                  </mat-nested-tree-node>
                </mat-tree>
              </div>
            </mat-nav-list>
            <span class="copyright">{{ '© ' + appname.toUpperCase() + '. ALL RIGHTS RESERVED'  }}</span>
          </mat-drawer>
          <!--<router-outlet></router-outlet>-->
          <app-content [color]="bodycode" [isOpened]="drawer.opened" [elWidth]="divEl.clientWidth" [maxWidth]="index.clientWidth"></app-content>
        </div>
      </mat-drawer-container>
  </div>